<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://aditbaco.com
 * @since      1.0.0
 *
 * @package    Rsdkconline_Plugin
 * @subpackage Rsdkconline_Plugin/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Rsdkconline_Plugin
 * @subpackage Rsdkconline_Plugin/includes
 * @author     aditbaco <aditya.wahyudi@rsdkciamis.com>
 */
class Rsdkconline_Plugin_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'rsdkconline-plugin',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
